@import '../../der-reader-variables.css';

.message {
  color: var(--red);
  font-size: 42px;
  line-height: 1.42;
  position: absolute;
  z-index: 10;
  width: 100vw;
  height: 100vh;
  /* Do not react to mouse interactions so menu elements under it are still responsive */
  pointer-events: none;

  text-shadow: #fff 0px 0px 8px, #fff 0px 0px 8px, #fff 0px 0px 8px,
               #fff 0px 0px 8px, #fff 0px 0px 8px, #fff 0px 0px 8px;

  display: flex;
  justify-content: center;
  align-items: center;
}

.message span {
  text-align: center;
  display: block;
  font-weight: bold;
  padding: 10px;
  background-color: rgba(255, 255, 255, 0.75);
}

.message.info {
  background-color: var(--green);
}

.container.displayMenuRight.in-menu .message {
  width: calc(100% - 500px);
}
